#include "cVectorComparator.h"


bool cVectorComparator::operator()(const cVector& v1, const cVector& v2) const
{
    if(v1.x_ > v2.x_) return true;
    if(v1.x_ < v2.x_) return false;
    
    if(v1.y_ > v2.y_) return true;
    if(v1.y_ < v2.y_) return false;
    
    if(v1.z_ > v2.z_) return true;
    if(v1.z_ < v2.z_) return false;
    
    return false;
}